Subject: Re: bug#47699: [PATCH] Improve completion-list-mode-map

From: Eli Zaretskii <[email-masked]>
Date: Sun, 11 Apr 2021 10:24:30 +0300

> Date: Sun, 11 Apr 2021 01:03:56 +0000
> From: Gregory Heytings <[email-masked]>
> 
> Currently completion-list-mode-map does not give a specific meaning to 
> most keys, which means that most keypresses display an error "Buffer is 
> read-only #<buffer *Completions*>".  I suggest to make it a child of 
> special-mode-map, and to bind the "n" and "p" keys to "next-completion" 
> and "previous-completion".
> 
> Patch attached.

Thanks.

Since your legal paperwork is not yet complete, please wait with
posting patches until that time, so that people will not be tempted to
install more of your changes when we are way past the threshold of
what we can accept without an assignment.